org.apache.ode.bpel.compiler.bom

## Class BpelObjectFactory

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObjectFactory

-     public class BpelObjectFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `WSDL`
    `static java.lang.String` | `XML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelObjectFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BpelObject` | `createBpelObject(org.w3c.dom.Element el, java.net.URI uri)`
    `static BpelObjectFactory` | `getInstance()`
    `Process` | `parse(org.xml.sax.InputSource isrc, java.net.URI systemURI)` Parse a BPEL process found at the input source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSDL

          public static final java.lang.String WSDL

      See Also:
        Constant Field Values

    - #### XML

          public static final java.lang.String XML

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BpelObjectFactory

          public BpelObjectFactory()

  - ### Method Detail

    - #### getInstance

          public static BpelObjectFactory getInstance()

    - #### createBpelObject

          public BpelObject createBpelObject(org.w3c.dom.Element el,
                                             java.net.URI uri)

    - #### parse

          public Process parse(org.xml.sax.InputSource isrc,
                               java.net.URI systemURI)
                        throws java.io.IOException,
                               org.xml.sax.SAXException

      Parse a BPEL process found at the input source.
      Parameters:
        `isrc` - input source.
      Returns:
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`